Show / Hide Table of Contents

# Class Application.RunState

Captures the execution state for the provided TopLevel view.

##### Inheritance

System.Object
Application.RunState

###### Namespace: Terminal

###### Assembly: Terminal.dll

##### Syntax

    public class Application.RunState : IDisposable

### Methods

#### Dispose()

Releases all resource used by the Application.RunState object.

##### Declaration

    public void Dispose ();

##### Remarks

Call Dispose() when you are finished using the Application.RunState. The Dispose() method leaves the Application.RunState in an unusable state. After calling Dispose(), you must release all references to the Application.RunState so the garbage collector can reclaim the memory that the Application.RunState was occupying.

#### Dispose(Boolean)

Dispose the specified disposing.

##### Declaration

    public virtual void Dispose (bool disposing);

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | disposing | If set to `true` disposing.